org.keycloak.protocol.saml.profile.ecp

## Class SamlEcpProfileService

- java.lang.Object
- - org.keycloak.protocol.AuthorizationEndpointBase
  - - org.keycloak.protocol.saml.SamlService
    - - org.keycloak.protocol.saml.profile.ecp.SamlEcpProfileService

-     public class SamlEcpProfileService
      extends SamlService

  Author:
    Pedro Igor

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.keycloak.protocol.saml.SamlService

      `SamlService.BindingProtocol, SamlService.PostBindingProtocol, SamlService.RedirectBindingProtocol`

  - ### Field Summary

    - ### Fields inherited from class org.keycloak.protocol.saml.SamlService

      `ARTIFACT_RESOLUTION_SERVICE_PATH, logger`

    - ### Fields inherited from class org.keycloak.protocol.AuthorizationEndpointBase

      `APP_INITIATED_FLOW, authManager, clientConnection, event, headers, httpRequest, realm, session`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SamlEcpProfileService(RealmModel realm, EventBuilder event, DestinationValidator destinationValidator)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `authenticate(Document soapMessage)`
    `javax.ws.rs.core.Response` | `authenticate(InputStream inputStream)`
    `protected AuthenticationFlowModel` | `getAuthenticationFlow(AuthenticationSessionModel authSession)`
    `protected javax.ws.rs.core.Response` | `newBrowserAuthentication(AuthenticationSessionModel authSession, boolean isPassive, boolean redirectToAuthentication, SamlProtocol samlProtocol)`

    - ### Methods inherited from class org.keycloak.protocol.saml.SamlService

      `artifactResolutionService, artifactResolve, compareKeys, getDescriptor, getIDPMetadataDescriptor, getOrCreateLoginSessionForIdpInitiatedSso, idpInitiatedSSO, newBrowserAuthentication, newPostBindingProtocol, newRedirectBindingProtocol, postBinding, redirectBinding, soapBinding`

    - ### Methods inherited from class org.keycloak.protocol.AuthorizationEndpointBase

      `checkRealm, checkSsl, createAuthenticationSession, createProcessor, handleBrowserAuthenticationRequest`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SamlEcpProfileService

          public SamlEcpProfileService(RealmModel realm,
                                       EventBuilder event,
                                       DestinationValidator destinationValidator)

  - ### Method Detail

    - #### authenticate

          public javax.ws.rs.core.Response authenticate(InputStream inputStream)

    - #### authenticate

          public javax.ws.rs.core.Response authenticate(Document soapMessage)

    - #### newBrowserAuthentication

          protected javax.ws.rs.core.Response newBrowserAuthentication(AuthenticationSessionModel authSession,
                                                                       boolean isPassive,
                                                                       boolean redirectToAuthentication,
                                                                       SamlProtocol samlProtocol)

      Overrides:
        `newBrowserAuthentication` in class `SamlService`

    - #### getAuthenticationFlow

          protected AuthenticationFlowModel getAuthenticationFlow(AuthenticationSessionModel authSession)

      Overrides:
        `getAuthenticationFlow` in class `AuthorizationEndpointBase`

Copyright © 2021 JBoss by Red Hat. All rights reserved.